Skip to content
Dashboard
Theme
Theme

Read debug bundle

GET /v1/debug_bundles/{bundle}/content: Read debug bundle.

View Markdown

GET /v1/debug_bundles/{bundle}/content

Scope
environment:write
Auth
Access token
Since
1.0
  • bundle string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/debug_bundles/dbgb_01J9ZQ4M7K2X8V3N5B6C1D0E9F/content" \
-H "Authorization: Bearer $OHAUTHCAT_ACCESS_TOKEN"
Response 200
{
"sign_in": "sgn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"checks": [
"example_check"
],
"checks_available": true,
"timeline": {
"access_policy": "member",
"doctor": {
"error_code": "saml_signature_invalid",
"idp": "okta",
"cause": "The IdP signed the response with an unexpected certificate.",
"it_admin_message": "The IdP signed the response with an unexpected certificate.",
"fix_guide_id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"steps": [
"acs"
]
},
"sign_in_id": "sgn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"steps": [
{
"step": "authorize",
"status": "ok",
"attribute": "department",
"warning_reason": "missing",
"extension": "risk",
"invariant": "example_invariant",
"error_code": "saml_signature_invalid",
"at": "2026-01-15T09:30:00Z",
"duration_ms": 1
}
]
},
"failing_invariant": "example_failing_invariant",
"idp_metadata": {
"protocol": "saml",
"endpoint": "https://app.acme.com/callback",
"certificate_fingerprints": [
"example_certificate_fingerprint"
]
},
"saml_response": "example_saml_response",
"assertion": "example_assertion"
}